%define develname %mklibname clucene -d
# Do not push for the moment

Summary:	C++ port of Lucene
Name:		clucene
Version:	2.3.3.4
Release:	%mkrel 4
License:	LGPL
Group:		Archiving/Other
URL:            http://clucene.sourceforge.net/
BuildRequires:	cmake
BuildRequires:  zlib-devel
Source0:	http://prdownloads.sourceforge.net/clucene/%{name}-core-%{version}.tar.gz

## upstreamable patches
# include LUCENE_SYS_INCLUDES in pkgconfig --cflags output
# https://bugzilla.redhat.com/748196
# and
# https://sourceforge.net/tracker/?func=detail&aid=3461512&group_id=80013&atid=558446
# pkgconfig file is missing clucene-shared
Patch50: clucene-core-2.3.3.4-pkgconfig.patch
# https://bugzilla.redhat.com/794795
# https://sourceforge.net/tracker/index.php?func=detail&aid=3392466&group_id=80013&atid=558446
# contribs-lib is not built and installed even with config
Patch51: clucene-core-2.3.3.4-install_contribs_lib.patch  

%description
CLucene is a C++ port of Lucene: the high-performance, full-featured 
text search engine written in Java. CLucene is faster than lucene 
as it is written in C++.

#------------------------------------------------------------------------------
%define clucene_core_major 2
%define libclucene_core %mklibname clucene-core %{clucene_core_major} 

%package -n	%libclucene_core
Summary:	Shared libraries for %{name}
Group:		System/Libraries

%description -n %libclucene_core
CLucene is a C++ port of Lucene: the high-performance, full-featured 
text search engine written in Java. CLucene is faster than lucene 
as it is written in C++.

This package contains shared libraries for clucene.

%files -n %libclucene_core
%_libdir/libclucene-core.so.*

#------------------------------------------------------------------------------

%define clucene_shared_major 2
%define libclucene_shared %mklibname clucene_shared %{clucene_shared_major}


%package -n     %libclucene_shared
Summary:        Shared libraries for %{name}
Group:          System/Libraries

%description -n %libclucene_shared
CLucene is a C++ port of Lucene: the high-performance, full-featured
text search engine written in Java. CLucene is faster than lucene
as it is written in C++.

This package contains shared libraries for clucene.

%files -n %libclucene_shared
%_libdir/libclucene-shared.so.*

#------------------------------------------------------------------------------

%define clucene_contribs_lib_major 2
%define libclucene_contribs_lib %mklibname clucene-contribs-lib %{clucene_contribs_lib_major}


%package -n     %libclucene_contribs_lib
Summary:        Shared libraries for %{name}
Group:          System/Libraries

%description -n %libclucene_contribs_lib
CLucene is a C++ port of Lucene: the high-performance, full-featured
text search engine written in Java. CLucene is faster than lucene
as it is written in C++.

This package contains shared libraries for clucene.

%files -n %libclucene_contribs_lib
%_libdir/libclucene-contribs-lib.so.*

#------------------------------------------------------------------------------

%package -n	%{develname}
Summary:	Static library and header files for the %{name} library
Group:		Development/C++
Provides:	%{name}-devel = %version-%release
Provides:	lib%{name}-devel = %version-%release
Requires:	%libclucene_shared = %version-%release
Requires:       %libclucene_core = %version-%release
Requires:       %libclucene_contribs_lib = %version-%release

%description -n	%{develname}
CLucene is a C++ port of Lucene: the high-performance, full-featured 
text search engine written in Java. CLucene is faster than lucene 
as it is written in C++.

This package contains static libraries and development headers for 
clucene.

%files -n %{develname}
%{_includedir}/CLucene.h
%{_includedir}/CLucene/
%_libdir/pkgconfig/libclucene-core.pc
%_libdir/CLuceneConfig.cmake/CLuceneConfig.cmake
%_libdir/libclucene-shared.so
%_libdir/libclucene-core.so
%_libdir/libclucene-contribs-lib.so
%_libdir/CLucene

#------------------------------------------------------------------------------


%prep

%setup -q -n %name-core-%version
%patch50 -p1 -b .pkgconfig
%patch51 -p1 -b .install_contribs_lib

%build
%cmake -DBUILD_CONTRIBS_LIB=BOOL:ON \
       -DLUCENE_SYS_INCLUDES:PATH=%{_libdir} \
       -DLIB_DESTINATION:PATH=%{_libdir}

%make

%install
%makeinstall_std -C build  



%changelog
* Fri Oct 18 2013 umeabot <umeabot> 2.3.3.4-4.mga4
+ Revision: 503383
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 2.3.3.4-3.mga3
+ Revision: 347915
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jul 05 2012 dmorgan <dmorgan> 2.3.3.4-2.mga3
+ Revision: 267962
- Fix pkgconfig

* Thu Jul 05 2012 dmorgan <dmorgan> 2.3.3.4-1.mga3
+ Revision: 267818
+ rebuild (emptylog)

* Sat Jul 16 2011 mikala <mikala> 2.3.3.4-0.mga2
+ Revision: 124660
- Update tarball to 2.3.3.4

* Sat Jan 15 2011 mikala <mikala> 0.9.21b-3.mga1
+ Revision: 18128
- Add disable_ld_no_undefined
- Drop mdk macros
- Remove BuildRoot
- imported package clucene


* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 0.9.21b-3mdv2010.1
+ Revision: 522386
- rebuilt for 2010.1

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 0.9.21b-2mdv2010.0
+ Revision: 413255
- rebuild

* Sun Mar 22 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.9.21b-1mdv2009.1
+ Revision: 360135
- Updated to version 0.9.21b

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 0.9.20-3mdv2009.0
+ Revision: 220506
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 0.9.20-2mdv2008.1
+ Revision: 170785
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Nov 04 2007 Funda Wang <fwang@mandriva.org> 0.9.20-1mdv2008.1
+ Revision: 105706
- New version 0.9.20


* Thu Jan 11 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.9.16-1mdv2007.0
+ Revision: 107653
- New version 0.9.16

* Sat Aug 19 2006 Helio Chissini de Castro <helio@mandriva.com> 0.9.15-2mdv2007.0
+ Revision: 56830
- Link proper config.h

* Sat Aug 19 2006 Helio Chissini de Castro <helio@mandriva.com> 0.9.15-1mdv2007.0
+ Revision: 56823
- Wrong doc files. Removed
- New upstream version ( gcc 4 fixed )
- Removed non existent mainpackage clucene
- import clucene-0.9.10-1mdk

* Thu Mar 23 2006 Lenny Cartier <lenny@mandriva.com> 0.9.10-1mdk
- 0.9.10

* Sun Jan 08 2006 Oden Eriksson <oeriksson@mandriva.com> 0.8.13-3mdk
- spec file fixups

* Sat Jul 02 2005 Laurent MONTEL <lmontel@mandriva.com> 0.8.13-2mdk
- Fix generate debug file

* Sat Jul 02 2005 Laurent MONTEL <lmontel@mandriva.com> 0.8.13-1mdk
- Initial package

